#!/usr/bin/env bash
RTLS_FRONTEND_PREFIX=/usr/rtls/rtls-frontend

## check current log which ran from root and move it to bak
DATE=$(date +%Y-%m-%d)

if [ -d $RTLS_FRONTEND_PREFIX/server/addons/vehicle_restriction_zones ]; then
  rm -rf $RTLS_FRONTEND_PREFIX/server/addons/vehicle_restriction_zones
fi

if [ -e $RTLS_FRONTEND_PREFIX/server/addons/vehicle_restriction_zones.js ]; then
  rm -rf $RTLS_FRONTEND_PREFIX/server/addons/vehicle_restriction_zones.js
fi

if sudo systemctl is-active --quiet rtls-server; then
    echo "Restarting rtls-server"
    sudo systemctl restart rtls-server
else
    echo "rtls-server-zone-manager is not active. Cannot restart."
fi

if sudo systemctl is-active --quiet rtls-server-zone-manager; then
    echo "Restarting rtls-server-zone-manager"
    sudo service rtls-server-zone-manager restart
else
    echo "rtls-server-zone-manager is not active. Cannot restart."
fi

if sudo systemctl is-active --quiet rtls-zone-events-generator; then
    echo "Restarting rtls-zone-events-generator"
    sudo service rtls-zone-events-generator restart
else
    echo "rtls-zone-events-generator is not active. Cannot restart."
fi

exit 0
